> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a person Record

> Creates a new person Record. This endpoint will throw on conflicts of unique attributes, like `email_addresses`. If you would prefer to update person records on conflicts, please use the Assert person record endpoint instead. Please note, the `avatar_url` attribute cannot currently be set via the API.

Required scopes: `record_permission:read-write`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/standard-objects post /v2/objects/people/records
openapi: 3.1.0
info:
  title: Attio Standard Objects
  version: 2.0.0
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
paths:
  /v2/objects/people/records:
    post:
      tags:
        - People
      summary: Create a person Record
      description: >-
        Creates a new person Record. This endpoint will throw on conflicts of
        unique attributes, like `email_addresses`. If you would prefer to update
        person records on conflicts, please use the Assert person record
        endpoint instead. Please note, the `avatar_url` attribute cannot
        currently be set via the API.


        Required scopes: `record_permission:read-write`,
        `object_configuration:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    values:
                      type: object
                      properties:
                        email_addresses:
                          type: array
                          items:
                            type: object
                            properties:
                              email_address:
                                type: string
                                description: An email address string
                                example: alice@app.attio.com
                        name:
                          type: array
                          items:
                            type: object
                            properties:
                              first_name:
                                type: string
                                description: The first name.
                                example: Ada
                              last_name:
                                type: string
                                description: The last name.
                                example: Lovelace
                              full_name:
                                type: string
                                description: The full name.
                                example: Ada Lovelace
                        description:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        avatar_url:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        job_title:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        phone_numbers:
                          type: array
                          items:
                            type: object
                            required:
                              - original_phone_number
                            properties:
                              original_phone_number:
                                type: string
                                example: '+15558675309'
                                description: >-
                                  A phone number which is either a) prefixed
                                  with a country code (e.g. `+44....`) or b) a
                                  local number, where `country_code` is
                                  specified in addition.
                              country_code:
                                type:
                                  - string
                                  - 'null'
                                enum:
                                  - AF
                                  - AX
                                  - AL
                                  - DZ
                                  - AS
                                  - AD
                                  - AO
                                  - AI
                                  - AQ
                                  - AG
                                  - AR
                                  - AM
                                  - AW
                                  - AU
                                  - AT
                                  - AZ
                                  - BS
                                  - BH
                                  - BD
                                  - BB
                                  - BY
                                  - BE
                                  - BZ
                                  - BJ
                                  - BM
                                  - BT
                                  - BO
                                  - BA
                                  - BW
                                  - BV
                                  - BR
                                  - IO
                                  - BN
                                  - BG
                                  - BF
                                  - BI
                                  - KH
                                  - CM
                                  - CA
                                  - CV
                                  - KY
                                  - CF
                                  - TD
                                  - CL
                                  - CN
                                  - CX
                                  - CC
                                  - CO
                                  - KM
                                  - CG
                                  - CD
                                  - CK
                                  - CR
                                  - CI
                                  - HR
                                  - CU
                                  - CW
                                  - CY
                                  - CZ
                                  - DK
                                  - DJ
                                  - DM
                                  - DO
                                  - EC
                                  - EG
                                  - SV
                                  - GQ
                                  - ER
                                  - EE
                                  - ET
                                  - FK
                                  - FO
                                  - FJ
                                  - FI
                                  - FR
                                  - GF
                                  - PF
                                  - TF
                                  - GA
                                  - GM
                                  - GE
                                  - DE
                                  - GH
                                  - GI
                                  - GR
                                  - GL
                                  - GD
                                  - GP
                                  - GU
                                  - GT
                                  - GG
                                  - GN
                                  - GW
                                  - GY
                                  - HT
                                  - HM
                                  - VA
                                  - HN
                                  - HK
                                  - HU
                                  - IS
                                  - IN
                                  - ID
                                  - IR
                                  - IQ
                                  - IE
                                  - IM
                                  - IL
                                  - IT
                                  - JM
                                  - JP
                                  - JE
                                  - JO
                                  - KZ
                                  - KE
                                  - KI
                                  - KR
                                  - KW
                                  - KG
                                  - LA
                                  - LV
                                  - LB
                                  - LS
                                  - LR
                                  - LY
                                  - LI
                                  - LT
                                  - LU
                                  - MO
                                  - MK
                                  - MG
                                  - MW
                                  - MY
                                  - MV
                                  - ML
                                  - MT
                                  - MH
                                  - MQ
                                  - MR
                                  - MU
                                  - YT
                                  - MX
                                  - FM
                                  - MD
                                  - MC
                                  - MN
                                  - ME
                                  - MS
                                  - MA
                                  - MZ
                                  - MM
                                  - NA
                                  - NR
                                  - NP
                                  - NL
                                  - AN
                                  - NC
                                  - NZ
                                  - NI
                                  - NE
                                  - NG
                                  - NU
                                  - NF
                                  - MP
                                  - 'NO'
                                  - OM
                                  - PK
                                  - PW
                                  - PS
                                  - PA
                                  - PG
                                  - PY
                                  - PE
                                  - PH
                                  - PN
                                  - PL
                                  - PT
                                  - PR
                                  - QA
                                  - RE
                                  - RO
                                  - RU
                                  - RW
                                  - BL
                                  - SH
                                  - KN
                                  - LC
                                  - MF
                                  - PM
                                  - VC
                                  - WS
                                  - SM
                                  - ST
                                  - SA
                                  - SN
                                  - SS
                                  - RS
                                  - SC
                                  - SL
                                  - SG
                                  - SK
                                  - SI
                                  - SB
                                  - SO
                                  - ZA
                                  - GS
                                  - ES
                                  - LK
                                  - SD
                                  - SR
                                  - SJ
                                  - SZ
                                  - SE
                                  - CH
                                  - SY
                                  - TW
                                  - TJ
                                  - TZ
                                  - TH
                                  - TL
                                  - TG
                                  - TK
                                  - TO
                                  - TT
                                  - TN
                                  - TR
                                  - TM
                                  - TC
                                  - TV
                                  - UG
                                  - UA
                                  - AE
                                  - GB
                                  - US
                                  - UM
                                  - UY
                                  - UZ
                                  - VU
                                  - VE
                                  - VN
                                  - VG
                                  - VI
                                  - WF
                                  - EH
                                  - YE
                                  - ZM
                                  - ZW
                                  - BQ
                                  - KP
                                  - SX
                                  - XK
                                  - AC
                                example: GB
                                description: >-
                                  The ISO 3166-1 alpha-2 country code
                                  representing the country that this phone
                                  number belongs to. Optional if
                                  `original_phone_number` includes a country
                                  code prefix.
                        linkedin:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        twitter:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        facebook:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        instagram:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        angellist:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        primary_location:
                          type: array
                          items:
                            type: object
                            properties:
                              line_1:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The first line of the address. Note that this
                                  value is not currently represented in the UI
                                  but will be persisted and readable through API
                                  calls.
                                example: 1 Infinite Loop
                              line_2:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The second line of the address. Note that this
                                  value is not currently represented in the UI
                                  but will be persisted and readable through API
                                  calls.
                                example: Block 1
                              line_3:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The third line of the address. Note that this
                                  value is not currently represented in the UI
                                  but will be persisted and readable through API
                                  calls.
                                example: Hilldrop Estate
                              line_4:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The fourth line of the address. Note that this
                                  value is not currently represented in the UI
                                  but will be persisted and readable through API
                                  calls.
                                example: Westborough
                              locality:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The town, neighborhood or area the location is
                                  in.
                                example: Cupertino
                              region:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The state, county, province or region that the
                                  location is in.
                                example: CA
                              postcode:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  The postcode or zip code for the location.
                                  Note that this value is not currently
                                  represented in the UI but will be persisted
                                  and readable through API calls.}
                                example: '95014'
                              country_code:
                                type:
                                  - string
                                  - 'null'
                                enum:
                                  - AF
                                  - AX
                                  - AL
                                  - DZ
                                  - AS
                                  - AD
                                  - AO
                                  - AI
                                  - AQ
                                  - AG
                                  - AR
                                  - AM
                                  - AW
                                  - AU
                                  - AT
                                  - AZ
                                  - BS
                                  - BH
                                  - BD
                                  - BB
                                  - BY
                                  - BE
                                  - BZ
                                  - BJ
                                  - BM
                                  - BT
                                  - BO
                                  - BA
                                  - BW
                                  - BV
                                  - BR
                                  - IO
                                  - BN
                                  - BG
                                  - BF
                                  - BI
                                  - KH
                                  - CM
                                  - CA
                                  - CV
                                  - KY
                                  - CF
                                  - TD
                                  - CL
                                  - CN
                                  - CX
                                  - CC
                                  - CO
                                  - KM
                                  - CG
                                  - CD
                                  - CK
                                  - CR
                                  - CI
                                  - HR
                                  - CU
                                  - CW
                                  - CY
                                  - CZ
                                  - DK
                                  - DJ
                                  - DM
                                  - DO
                                  - EC
                                  - EG
                                  - SV
                                  - GQ
                                  - ER
                                  - EE
                                  - ET
                                  - FK
                                  - FO
                                  - FJ
                                  - FI
                                  - FR
                                  - GF
                                  - PF
                                  - TF
                                  - GA
                                  - GM
                                  - GE
                                  - DE
                                  - GH
                                  - GI
                                  - GR
                                  - GL
                                  - GD
                                  - GP
                                  - GU
                                  - GT
                                  - GG
                                  - GN
                                  - GW
                                  - GY
                                  - HT
                                  - HM
                                  - VA
                                  - HN
                                  - HK
                                  - HU
                                  - IS
                                  - IN
                                  - ID
                                  - IR
                                  - IQ
                                  - IE
                                  - IM
                                  - IL
                                  - IT
                                  - JM
                                  - JP
                                  - JE
                                  - JO
                                  - KZ
                                  - KE
                                  - KI
                                  - KR
                                  - KW
                                  - KG
                                  - LA
                                  - LV
                                  - LB
                                  - LS
                                  - LR
                                  - LY
                                  - LI
                                  - LT
                                  - LU
                                  - MO
                                  - MK
                                  - MG
                                  - MW
                                  - MY
                                  - MV
                                  - ML
                                  - MT
                                  - MH
                                  - MQ
                                  - MR
                                  - MU
                                  - YT
                                  - MX
                                  - FM
                                  - MD
                                  - MC
                                  - MN
                                  - ME
                                  - MS
                                  - MA
                                  - MZ
                                  - MM
                                  - NA
                                  - NR
                                  - NP
                                  - NL
                                  - AN
                                  - NC
                                  - NZ
                                  - NI
                                  - NE
                                  - NG
                                  - NU
                                  - NF
                                  - MP
                                  - 'NO'
                                  - OM
                                  - PK
                                  - PW
                                  - PS
                                  - PA
                                  - PG
                                  - PY
                                  - PE
                                  - PH
                                  - PN
                                  - PL
                                  - PT
                                  - PR
                                  - QA
                                  - RE
                                  - RO
                                  - RU
                                  - RW
                                  - BL
                                  - SH
                                  - KN
                                  - LC
                                  - MF
                                  - PM
                                  - VC
                                  - WS
                                  - SM
                                  - ST
                                  - SA
                                  - SN
                                  - SS
                                  - RS
                                  - SC
                                  - SL
                                  - SG
                                  - SK
                                  - SI
                                  - SB
                                  - SO
                                  - ZA
                                  - GS
                                  - ES
                                  - LK
                                  - SD
                                  - SR
                                  - SJ
                                  - SZ
                                  - SE
                                  - CH
                                  - SY
                                  - TW
                                  - TJ
                                  - TZ
                                  - TH
                                  - TL
                                  - TG
                                  - TK
                                  - TO
                                  - TT
                                  - TN
                                  - TR
                                  - TM
                                  - TC
                                  - TV
                                  - UG
                                  - UA
                                  - AE
                                  - GB
                                  - US
                                  - UM
                                  - UY
                                  - UZ
                                  - VU
                                  - VE
                                  - VN
                                  - VG
                                  - VI
                                  - WF
                                  - EH
                                  - YE
                                  - ZM
                                  - ZW
                                  - BQ
                                  - KP
                                  - SX
                                  - XK
                                  - AC
                                description: >-
                                  The ISO 3166-1 alpha-2 country code for the
                                  country this location is in.
                                example: US
                              latitude:
                                type:
                                  - string
                                  - 'null'
                                pattern: ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$
                                description: >-
                                  The latitude of the location. Validated by the
                                  regular expression
                                  `/^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$/`.
                                  Values are stored with up to 9 decimal places
                                  of precision. Note that this value is not
                                  currently represented in the UI but will be
                                  persisted and readable through API calls.}
                                example: '37.331741'
                              longitude:
                                type:
                                  - string
                                  - 'null'
                                pattern: >-
                                  ^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
                                description: >-
                                  The longitude of the location. Validated by
                                  the regular expression
                                  `/^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$/`.
                                  Values are stored with up to 9 decimal places
                                  of precision. Note that this value is not
                                  currently represented in the UI but will be
                                  persisted and readable through API calls.}
                                example: '-122.030333'
                            required:
                              - line_1
                              - line_2
                              - line_3
                              - line_4
                              - locality
                              - region
                              - postcode
                              - country_code
                              - latitude
                              - longitude
                            additionalProperties: false
                        twitter_follower_count:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: number
                                description: Numbers are persisted as 64 bit floats.
                                example: 42
                            required:
                              - value
                            additionalProperties: false
                        company:
                          type: array
                          items:
                            anyOf:
                              - type: object
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  target_record_id:
                                    type: string
                                    format: uuid
                                    description: A UUID to identify the referenced record.
                                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                required:
                                  - target_object
                                  - target_record_id
                                additionalProperties: false
                              - type: object
                                example:
                                  target_object: people
                                  matching_attribute_id_123:
                                    - value: matching_attribute_id_123
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  '[slug_or_id_of_matching_attribute]':
                                    type: array
                                    description: >-
                                      In addition to referencing records
                                      directly by record ID, you may also
                                      reference by a matching attribute of your
                                      choice. For example, if you want to add a
                                      reference to the person record with email
                                      "alice@website.com", you should pass a
                                      value with `target_object` set to
                                      `"people"` and `email_addresses` set to
                                      `[{email_address:"alice@website.com"}]`.
                                      The key should be the slug or ID of the
                                      matching attribute you would like to use
                                      and the value should be an array
                                      containing a single value of the
                                      appropriate attribute type (as specified
                                      below). Matching on multiple values is not
                                      currently supported. Matching attributes
                                      must be unique. This process is similar to
                                      how you use the `matching_attribute` query
                                      param in Attio's [assert
                                      endpoints](/rest-api/endpoint-reference/records/assert-a-record).
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            domain:
                                              type: string
                                              example: app.attio.com
                                              description: The full domain of the website.
                                        - type: object
                                          properties:
                                            email_address:
                                              type: string
                                              description: An email address string
                                              example: alice@app.attio.com
                                        - type: object
                                          properties:
                                            value:
                                              type: number
                                              example: 17224912
                                              description: Numbers are persisted as 64 bit floats.
                                        - type: object
                                          properties:
                                            original_phone_number:
                                              type: string
                                              example: '07234172834'
                                              description: >-
                                                The raw, original phone number, as
                                                inputted.
                                            country_code:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - AF
                                                - AX
                                                - AL
                                                - DZ
                                                - AS
                                                - AD
                                                - AO
                                                - AI
                                                - AQ
                                                - AG
                                                - AR
                                                - AM
                                                - AW
                                                - AU
                                                - AT
                                                - AZ
                                                - BS
                                                - BH
                                                - BD
                                                - BB
                                                - BY
                                                - BE
                                                - BZ
                                                - BJ
                                                - BM
                                                - BT
                                                - BO
                                                - BA
                                                - BW
                                                - BV
                                                - BR
                                                - IO
                                                - BN
                                                - BG
                                                - BF
                                                - BI
                                                - KH
                                                - CM
                                                - CA
                                                - CV
                                                - KY
                                                - CF
                                                - TD
                                                - CL
                                                - CN
                                                - CX
                                                - CC
                                                - CO
                                                - KM
                                                - CG
                                                - CD
                                                - CK
                                                - CR
                                                - CI
                                                - HR
                                                - CU
                                                - CW
                                                - CY
                                                - CZ
                                                - DK
                                                - DJ
                                                - DM
                                                - DO
                                                - EC
                                                - EG
                                                - SV
                                                - GQ
                                                - ER
                                                - EE
                                                - ET
                                                - FK
                                                - FO
                                                - FJ
                                                - FI
                                                - FR
                                                - GF
                                                - PF
                                                - TF
                                                - GA
                                                - GM
                                                - GE
                                                - DE
                                                - GH
                                                - GI
                                                - GR
                                                - GL
                                                - GD
                                                - GP
                                                - GU
                                                - GT
                                                - GG
                                                - GN
                                                - GW
                                                - GY
                                                - HT
                                                - HM
                                                - VA
                                                - HN
                                                - HK
                                                - HU
                                                - IS
                                                - IN
                                                - ID
                                                - IR
                                                - IQ
                                                - IE
                                                - IM
                                                - IL
                                                - IT
                                                - JM
                                                - JP
                                                - JE
                                                - JO
                                                - KZ
                                                - KE
                                                - KI
                                                - KR
                                                - KW
                                                - KG
                                                - LA
                                                - LV
                                                - LB
                                                - LS
                                                - LR
                                                - LY
                                                - LI
                                                - LT
                                                - LU
                                                - MO
                                                - MK
                                                - MG
                                                - MW
                                                - MY
                                                - MV
                                                - ML
                                                - MT
                                                - MH
                                                - MQ
                                                - MR
                                                - MU
                                                - YT
                                                - MX
                                                - FM
                                                - MD
                                                - MC
                                                - MN
                                                - ME
                                                - MS
                                                - MA
                                                - MZ
                                                - MM
                                                - NA
                                                - NR
                                                - NP
                                                - NL
                                                - AN
                                                - NC
                                                - NZ
                                                - NI
                                                - NE
                                                - NG
                                                - NU
                                                - NF
                                                - MP
                                                - 'NO'
                                                - OM
                                                - PK
                                                - PW
                                                - PS
                                                - PA
                                                - PG
                                                - PY
                                                - PE
                                                - PH
                                                - PN
                                                - PL
                                                - PT
                                                - PR
                                                - QA
                                                - RE
                                                - RO
                                                - RU
                                                - RW
                                                - BL
                                                - SH
                                                - KN
                                                - LC
                                                - MF
                                                - PM
                                                - VC
                                                - WS
                                                - SM
                                                - ST
                                                - SA
                                                - SN
                                                - SS
                                                - RS
                                                - SC
                                                - SL
                                                - SG
                                                - SK
                                                - SI
                                                - SB
                                                - SO
                                                - ZA
                                                - GS
                                                - ES
                                                - LK
                                                - SD
                                                - SR
                                                - SJ
                                                - SZ
                                                - SE
                                                - CH
                                                - SY
                                                - TW
                                                - TJ
                                                - TZ
                                                - TH
                                                - TL
                                                - TG
                                                - TK
                                                - TO
                                                - TT
                                                - TN
                                                - TR
                                                - TM
                                                - TC
                                                - TV
                                                - UG
                                                - UA
                                                - AE
                                                - GB
                                                - US
                                                - UM
                                                - UY
                                                - UZ
                                                - VU
                                                - VE
                                                - VN
                                                - VG
                                                - VI
                                                - WF
                                                - EH
                                                - YE
                                                - ZM
                                                - ZW
                                                - BQ
                                                - KP
                                                - SX
                                                - XK
                                                - AC
                                              example: GB
                                              description: >-
                                                The ISO 3166-1 alpha-2 country code
                                                representing the country that this phone
                                                number belongs to.
                                        - type: object
                                          properties:
                                            value:
                                              type: string
                                              description: >-
                                                A raw text field. Values are limited to
                                                10MB.
                                required:
                                  - target_object
                                  - '[slug_or_id_of_matching_attribute]'
                            example:
                              target_object: people
                              target_record_id: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                      description: >-
                        This object's keys should be the slugs or IDs of the
                        attributes you wish to update. Below, you'll find
                        documentation for the value types of each standard
                        person attribute. For information on potential custom
                        attributes, refer to our [attribute type
                        docs](/docs/attribute-types).
                      example:
                        email_addresses:
                          - john-smith@attio.com
                        name:
                          - first_name: John
                            last_name: Smith
                            full_name: John Smith
                        description: Developer met at event
                        company:
                          - target_object: companies
                            target_record_id: 99a03ff3-0435-47da-95cc-76b2caeb4dab
                          - target_object: companies
                            domains:
                              - domain: attio.com
                        phone_numbers:
                          - original_phone_number: '+15558675309'
                            country_code: US
                        primary_location:
                          - line_1: 1 Infinite Loop
                            line_2: null
                            line_3: null
                            line_4: null
                            locality: Cupertino
                            region: CA
                            postcode: '95014'
                            country_code: US
                            latitude: '37.331741'
                            longitude: '-122.030333'
                        linkedin: https://linkedin.com/in/johnsmith
                  required:
                    - values
                  additionalProperties: false
              required:
                - data
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: object
                        properties:
                          workspace_id:
                            type: string
                            format: uuid
                            description: >-
                              A UUID identifying the workspace this record
                              belongs to.
                            example: 14beef7a-99f7-4534-a87e-70b564330a4c
                          object_id:
                            type: string
                            format: uuid
                            description: >-
                              A UUID identifying the object this record belongs
                              to.
                            example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                          record_id:
                            type: string
                            format: uuid
                            description: A UUID identifying this record.
                            example: bf071e1f-6035-429d-b874-d83ea64ea13b
                        required:
                          - workspace_id
                          - object_id
                          - record_id
                      created_at:
                        type: string
                        description: When this record was created.
                        example: '2022-11-21T13:22:49.061281000Z'
                      web_url:
                        type: string
                        format: uri
                        description: >-
                          A URL that links directly to the record page in the
                          Attio web application.
                        example: >-
                          https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b
                      values:
                        type: object
                        properties:
                          email_addresses:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                original_email_address:
                                  type: string
                                  example: alice@app.attio.com
                                email_address:
                                  type: string
                                  example: alice@app.attio.com
                                email_domain:
                                  type: string
                                  example: app.attio.com
                                email_root_domain:
                                  type: string
                                  example: attio.com
                                email_local_specifier:
                                  type: string
                                  example: alice
                                attribute_type:
                                  type: string
                                  enum:
                                    - email-address
                                  description: The attribute type of the value.
                                  example: email-address
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - original_email_address
                                - email_address
                                - email_domain
                                - email_root_domain
                                - email_local_specifier
                                - attribute_type
                          name:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                first_name:
                                  type: string
                                  description: The first name.
                                  example: Ada
                                last_name:
                                  type: string
                                  description: The last name.
                                  example: Lovelace
                                full_name:
                                  type: string
                                  description: The full name.
                                  example: Ada Lovelace
                                attribute_type:
                                  type: string
                                  enum:
                                    - personal-name
                                  description: The attribute type of the value.
                                  example: personal-name
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - first_name
                                - last_name
                                - full_name
                                - attribute_type
                              additionalProperties: false
                          description:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          avatar_url:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          job_title:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          phone_numbers:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                original_phone_number:
                                  type: string
                                  description: The raw, original phone number, as inputted.
                                  example: '5558675309'
                                country_code:
                                  type: string
                                  description: >-
                                    The ISO 3166-1 alpha-2 country code
                                    representing the country that this phone
                                    number belongs to.
                                  enum:
                                    - AF
                                    - AX
                                    - AL
                                    - DZ
                                    - AS
                                    - AD
                                    - AO
                                    - AI
                                    - AQ
                                    - AG
                                    - AR
                                    - AM
                                    - AW
                                    - AU
                                    - AT
                                    - AZ
                                    - BS
                                    - BH
                                    - BD
                                    - BB
                                    - BY
                                    - BE
                                    - BZ
                                    - BJ
                                    - BM
                                    - BT
                                    - BO
                                    - BA
                                    - BW
                                    - BV
                                    - BR
                                    - IO
                                    - BN
                                    - BG
                                    - BF
                                    - BI
                                    - KH
                                    - CM
                                    - CA
                                    - CV
                                    - KY
                                    - CF
                                    - TD
                                    - CL
                                    - CN
                                    - CX
                                    - CC
                                    - CO
                                    - KM
                                    - CG
                                    - CD
                                    - CK
                                    - CR
                                    - CI
                                    - HR
                                    - CU
                                    - CW
                                    - CY
                                    - CZ
                                    - DK
                                    - DJ
                                    - DM
                                    - DO
                                    - EC
                                    - EG
                                    - SV
                                    - GQ
                                    - ER
                                    - EE
                                    - ET
                                    - FK
                                    - FO
                                    - FJ
                                    - FI
                                    - FR
                                    - GF
                                    - PF
                                    - TF
                                    - GA
                                    - GM
                                    - GE
                                    - DE
                                    - GH
                                    - GI
                                    - GR
                                    - GL
                                    - GD
                                    - GP
                                    - GU
                                    - GT
                                    - GG
                                    - GN
                                    - GW
                                    - GY
                                    - HT
                                    - HM
                                    - VA
                                    - HN
                                    - HK
                                    - HU
                                    - IS
                                    - IN
                                    - ID
                                    - IR
                                    - IQ
                                    - IE
                                    - IM
                                    - IL
                                    - IT
                                    - JM
                                    - JP
                                    - JE
                                    - JO
                                    - KZ
                                    - KE
                                    - KI
                                    - KR
                                    - KW
                                    - KG
                                    - LA
                                    - LV
                                    - LB
                                    - LS
                                    - LR
                                    - LY
                                    - LI
                                    - LT
                                    - LU
                                    - MO
                                    - MK
                                    - MG
                                    - MW
                                    - MY
                                    - MV
                                    - ML
                                    - MT
                                    - MH
                                    - MQ
                                    - MR
                                    - MU
                                    - YT
                                    - MX
                                    - FM
                                    - MD
                                    - MC
                                    - MN
                                    - ME
                                    - MS
                                    - MA
                                    - MZ
                                    - MM
                                    - NA
                                    - NR
                                    - NP
                                    - NL
                                    - AN
                                    - NC
                                    - NZ
                                    - NI
                                    - NE
                                    - NG
                                    - NU
                                    - NF
                                    - MP
                                    - 'NO'
                                    - OM
                                    - PK
                                    - PW
                                    - PS
                                    - PA
                                    - PG
                                    - PY
                                    - PE
                                    - PH
                                    - PN
                                    - PL
                                    - PT
                                    - PR
                                    - QA
                                    - RE
                                    - RO
                                    - RU
                                    - RW
                                    - BL
                                    - SH
                                    - KN
                                    - LC
                                    - MF
                                    - PM
                                    - VC
                                    - WS
                                    - SM
                                    - ST
                                    - SA
                                    - SN
                                    - SS
                                    - RS
                                    - SC
                                    - SL
                                    - SG
                                    - SK
                                    - SI
                                    - SB
                                    - SO
                                    - ZA
                                    - GS
                                    - ES
                                    - LK
                                    - SD
                                    - SR
                                    - SJ
                                    - SZ
                                    - SE
                                    - CH
                                    - SY
                                    - TW
                                    - TJ
                                    - TZ
                                    - TH
                                    - TL
                                    - TG
                                    - TK
                                    - TO
                                    - TT
                                    - TN
                                    - TR
                                    - TM
                                    - TC
                                    - TV
                                    - UG
                                    - UA
                                    - AE
                                    - GB
                                    - US
                                    - UM
                                    - UY
                                    - UZ
                                    - VU
                                    - VE
                                    - VN
                                    - VG
                                    - VI
                                    - WF
                                    - EH
                                    - YE
                                    - ZM
                                    - ZW
                                    - BQ
                                    - KP
                                    - SX
                                    - XK
                                    - AC
                                  example: US
                                phone_number:
                                  type: string
                                  example: '+15558675309'
                                attribute_type:
                                  type: string
                                  enum:
                                    - phone-number
                                  description: The attribute type of the value.
                                  example: phone-number
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - original_phone_number
                                - country_code
                                - phone_number
                                - attribute_type
                          linkedin:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          twitter:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
[...]
